
QGIS Application - Bug report #21933

GPS Information / Position always shows "-1.0m" for accuracy

2019-04-25 10:57 PM - J F

Status: Feedback

Priority: Normal

Assignee:

Category: GPS Live Tracking

Affected QGIS version:3.6.2 Regression?: No

Operating System: Linux and Windows Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29748

Description

I tried several versions of QGIS (2.18, 3.6, 3.4)

All of them show the same behaviour:

The H Accuracy and V Accuracy is always "-1.0m".

If you use a receiver in RTK-Mode, you really want to see the residuals..

Vertical RMS

VRMS = math.sqrt(math.pow(GST_Field_8, 2))

Horizontal RMS

HRMS = math.sqrt((math.pow(GST_Field_6, 2) + math.pow(GST_Field_7, 2))/2)

Positional RMS

PRMS = math.sqrt((math.pow(GST_Field_6, 2) + math.pow(GST_Field_7, 2) + math.pow(GST_Field_8, 2))/3)

Please make that available!

Thanks!

History

#1 - 2019-04-26 07:48 AM - Jürgen Fischer

- Priority changed from High to Normal

- Status changed from Open to Feedback

- Description updated

- Subject changed from GPS Information / Position allways shows "-1.0m" for accuracy to GPS Information / Position always shows "-1.0m" for accuracy

What's the problem with this?   -1.0m is just the initial value, apparently means "unknown accuracy" and is only used for informational purposes.

#2 - 2019-04-26 01:47 PM - Jürgen Fischer

- Pull Request or Patch supplied changed from No to Yes
See also https://github.com/qgis/QGIS/pull/9874
https://github.com/qgis/QGIS/pull/9874

